﻿using Hermes.Model;
using System;
using System.Windows;

namespace Hermes {
    public partial class PreferencesWindow : Window {
        private ModelContext dbContext = null;

        public PreferencesWindow(Window parent) {
            InitializeComponent();

            Owner = parent;
            dbContext = ModelContext.Getinstance();

            Preferences pref = dbContext.Preferences.Local[0];
            villeTextBox.Text = pref.Ville;
            villeCPTextBox.Text = pref.VilleCP;

            ovhSmsServiceNameTextBox.Text = pref.ovhSmsServiceName;
            ovhSmsApplicationKeyTextBox.Text = pref.ovhSmsApplicationKey;
            ovhSmsApplicationSecretTextBox.Text = pref.ovhSmsApplicationSecret;
            ovhSmsConsumerKeyTextBox.Text = pref.ovhSmsConsumerKey;
        }

        private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e) {
            Preferences pref = dbContext.Preferences.Local[0];
            if(string.IsNullOrWhiteSpace(pref.VilleCP) || string.IsNullOrWhiteSpace(pref.Ville)) {
                MessageBox.Show("La saisie d'information sur la commune est obligatoire.", "Saisie obligatoire", MessageBoxButton.OK, MessageBoxImage.Warning);
                e.Cancel = true;
                return;
            }
        }

        public void Enregistrer_Click(object sender, RoutedEventArgs e) {
            if(String.IsNullOrWhiteSpace(villeCPTextBox.Text) || String.IsNullOrWhiteSpace(villeTextBox.Text)) {
                MessageBox.Show("La saisie d'information sur la commune est obligatoire.", "Saisie obligatoire", MessageBoxButton.OK, MessageBoxImage.Warning);
                return;
            }

            Preferences pref = dbContext.Preferences.Local[0];
            pref.Ville = villeTextBox.Text;
            pref.VilleCP = villeCPTextBox.Text;
            pref.ovhSmsServiceName = ovhSmsServiceNameTextBox.Text;
            pref.ovhSmsApplicationKey = ovhSmsApplicationKeyTextBox.Text;
            pref.ovhSmsApplicationSecret = ovhSmsApplicationSecretTextBox.Text;
            pref.ovhSmsConsumerKey = ovhSmsConsumerKeyTextBox.Text;

            dbContext.SaveChanges();
            Close();
        }

        public void Annuler_Click(object sender, RoutedEventArgs e) {
            Close();
        }
    }
}
