﻿using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace Hermes {
    class SmsSendingStatus : INotifyPropertyChanged {
        private string _nom = null;
        private string _prenom = null;
        private string _mobile = null;
        private string _status = null;

        public string Nom {
            get => _nom;
            set {
                _nom = value;
                OnPropertyChanged();
            }
        }

        public string Prenom {
            get => _prenom;
            set {
                _prenom = value;
                OnPropertyChanged();
            }
        }

        public string Mobile {
            get => _mobile;
            set {
                _mobile = value;
                OnPropertyChanged();
            }
        }

        public string Status {
            get => _status;
            set {
                _status = value;
                OnPropertyChanged();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged([CallerMemberName] string name = null) {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }
    }
}
